- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
AL::Math::RigidBodySystemBuilder::StaticFrameData< T > Struct Template Reference

`#include <rigidbodysystembuilder.h>`

## Public Types
typedef T | Scalar
typedef Eigen::Transform < Scalar, 3, Eigen::AffineCompact, Eigen::DontAlign > | AffineCompact3

## Public Member Functions
template<typename S >
StaticFrameData< S > | cast () const

## Public Attributes
std::string | parent_frame
std::string | new_static_frame
std::string | new_static_transform
AffineCompact3 | pose_parent_new

## Detailed Description

### template<typename T>
struct AL::Math::RigidBodySystemBuilder::StaticFrameData< T >

Definition at line 70 of file rigidbodysystembuilder.h.

## Member Typedef Documentation

template<typename T>

typedef Eigen::Transform<Scalar, 3, Eigen::AffineCompact, Eigen::DontAlign> AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::AffineCompact3

Definition at line 75 of file rigidbodysystembuilder.h.

template<typename T>

typedef T AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::Scalar

Definition at line 71 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename T>
template<typename S >

StaticFrameData<S> AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::cast | ( |  | ) | const
| inline

Definition at line 82 of file rigidbodysystembuilder.h.

## Member Data Documentation

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::new_static_frame

Definition at line 77 of file rigidbodysystembuilder.h.

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::new_static_transform

Definition at line 78 of file rigidbodysystembuilder.h.

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::parent_frame

Definition at line 76 of file rigidbodysystembuilder.h.

template<typename T>

AffineCompact3 AL::Math::RigidBodySystemBuilder::StaticFrameData< T >::pose_parent_new

Definition at line 79 of file rigidbodysystembuilder.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h